Subject: bug#52650: Guix pull fails building package cache

From: Leo Famulari <[email-masked]>
Date: Sat, 18 Dec 2021 19:18:57 -0500

On Sat, Dec 18, 2021 at 11:32:46PM +0000, André A. Gomes wrote:
> I got the following error after issuing guix pull.
> 
> --8<---------------cut here---------------start------------->8---
> building package cache...
> /builder for `/gnu/store/6z0pny4mqnhrakqxs1yca5lnxjd1xszr-guix-package-cache.drv' failed to produce output path `/gnu/store/9spwrk8l40kpi110q47ckay0znmjzbdb-guix-package-cache'
> build of /gnu/store/6z0pny4mqnhrakqxs1yca5lnxjd1xszr-guix-package-cache.drv failed
> --8<---------------cut here---------------end--------------->8---
> 
> And the log says:
> 
> --8<---------------cut here---------------start------------->8---
> (repl-version 0 1 1)
> Generating package cache for '/gnu/store/c68ygnsa87mqzfnrnkp798qi3jdsixh0-profile'...
> (exception unbound-variable (value #f) (value "Unbound variable: ~S") (value (lttng-ust)) (value #f))
> --8<---------------cut here---------------end--------------->8---

I'm using Guix on x86_64-linux.

While using commit 94836b215630ad0f4a7c06b8e4284d923ac1197f, I pulled to
current --- commit b3a0db7a0e5fa7186c090647cfd5666e2b9287ff.

I didn't have any problems doing `guix install hello` afterwards.

Are you using some 3rd-party channels that might need to be adjusted?